org.apache.felix.ipojo

## Interface FactoryStateListener

All Known Implementing Classes:
  ManagedType

    public interface FactoryStateListener

A factory state listener received notification about monitored factory state changes. This listener allows anyone to be notified when the listened factory state changes.

Author:
  Felix Project Team

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `stateChanged(Factory factory, int newState)` Notification listener.

### Method Detail

#### stateChanged

    void stateChanged(Factory factory,
                      int newState)

Notification listener. Each time an instance state changes, this method is called with the new factory state.

Parameters:
  `factory` - the changing factory
  `newState` - the new factory state